extends Control

@export_file var play_scene: String : 
	set(value):
		if value == null:
			return
		
		play_scene = value

@export_file var instruction_scene: String : 
	set(value):
		if value == null:
			return
		
		instruction_scene = value

func _on_play_button_pressed() -> void:
	# Go to the play scene (must be manually chosen)
	get_tree().change_scene_to_file(play_scene)

func _on_instructions_button_pressed() -> void:
	get_tree().change_scene_to_file(instruction_scene)

func _on_exit_game_button_pressed() -> void:
	get_tree().quit()
